For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • PATCH/contacts/{id}
          • GET/contacts/meta/patch/{id}
          • GET/contacts/meta/post
          • GET/contacts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts/{id}

PATCH
/accounting/v1/contacts/:id
PATCH
/api/accounting/v1/contacts/:id
$curl -X PATCH https://api.merge.dev/api/accounting/v1/contacts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
200Updated
1{
2 "model": {
3 "id": "c640b80b-fac9-409f-aa19-1f9221aec445",
4 "remote_id": "11167",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Gil Feig's pickleball store",
8 "is_supplier": true,
9 "is_customer": true,
10 "email_address": "pickleball@merge.dev",
11 "tax_number": "12-3456789",
12 "status": "ACTIVE",
13 "currency": "USD",
14 "remote_updated_at": "2020-03-31T00:00:00Z",
15 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
16 "addresses": [
17 {},
18 {}
19 ],
20 "phone_numbers": [
21 {
22 "number": "+3198675309",
23 "type": "Mobile"
24 }
25 ],
26 "remote_was_deleted": true,
27 "field_mappings": {
28 "organization_defined_targets": {
29 "custom_key": "custom_value"
30 },
31 "linked_account_defined_targets": {
32 "custom_key": "custom_value"
33 }
34 },
35 "remote_data": [
36 {
37 "path": "/actions",
38 "data": null
39 }
40 ],
41 "remote_fields": [
42 {
43 "remote_field_class": {
44 "id": "string",
45 "display_name": "string",
46 "remote_key_name": "string",
47 "description": "string",
48 "is_custom": true,
49 "is_common_model_field": true,
50 "is_required": true,
51 "field_type": "string",
52 "field_format": "string",
53 "field_choices": [
54 "string"
55 ],
56 "item_schema": {
57 "item_type": "string",
58 "item_format": "string",
59 "item_choices": [
60 "string"
61 ]
62 }
63 },
64 "value": "string"
65 }
66 ]
67 },
68 "warnings": [
69 {
70 "title": "Unrecognized Field",
71 "detail": "An unrecognized field, age, was passed in with request data.",
72 "problem_type": "UNRECOGNIZED_FIELD",
73 "source": {
74 "pointer": "/age"
75 },
76 "block_merge_link": true,
77 "raw_error": "string",
78 "error_code": 1
79 }
80 ],
81 "errors": [
82 {
83 "title": "Missing Required Field",
84 "detail": "custom_fields is a required field on model.",
85 "problem_type": "MISSING_REQUIRED_FIELD",
86 "source": {
87 "pointer": "/model/custom_fields"
88 },
89 "block_merge_link": true,
90 "raw_error": "string",
91 "error_code": 1
92 }
93 ],
94 "logs": [
95 {
96 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
97 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
98 "log_summary": {
99 "url": "www.exampleintegration.com/api/v1/exampleapi",
100 "method": "POST",
101 "status_code": 200
102 }
103 }
104 ]
105}

Updates a Contact object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/contacts/{id}

Next

/contacts/meta/patch/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

A Contact is an individual or business entity to which products and services are sold to or purchased from. The Contact model contains both Customers, in which products and services are sold to, and Vendors (or Suppliers), in which products and services are purchased from.

  • A Contact is a Vendor/Supplier if the is_supplier property is true.
  • A Contact is a customer if the is_customer property is true.

Usage Example

Fetch from the LIST Contacts endpoint and view a company’s contacts.

Response

modelobject

Description

A Contact is an individual or business entity to which products and services are sold to or purchased from. The Contact model contains both Customers, in which products and services are sold to, and Vendors (or Suppliers), in which products and services are purchased from.

  • A Contact is a Vendor/Supplier if the is_supplier property is true.
  • A Contact is a customer if the is_customer property is true.

Usage Example

Fetch from the LIST Contacts endpoint and view a company’s contacts.

warningslist of objects
errorslist of objects
logslist of objects